"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
*

The file proto/attr_value.proto is referred and derived from project
tensorflow,

   https://github.com/tensorflow/tensorflow/blob/master/tensorflow/core/framework/attr_value.proto

which has the following license:


Copyright 2015 The TensorFlow Authors. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
==============================================================================
"""

import builtins
import google.protobuf.descriptor
import google.protobuf.internal.enum_type_wrapper
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class _Code:
    ValueType = typing.NewType("ValueType", builtins.int)
    V: typing_extensions.TypeAlias = ValueType

class _CodeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_Code.ValueType], builtins.type):
    DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
    OK: _Code.ValueType  # 0
    """Not an error; returned on success."""
    CANCELLED: _Code.ValueType  # 1
    INVALID_ARGUMENT: _Code.ValueType  # 2
    """Arguments of operations is invalid / in a wrong format."""
    TIMEOUT: _Code.ValueType  # 3
    """Timeout, used when an operation fail to return result in an specific time."""
    NOT_FOUND: _Code.ValueType  # 4
    """Required resources cannot be found."""
    ALREADY_EXISTS: _Code.ValueType  # 5
    """File or resources already existed."""
    RESOURCE_EXHAUSTED: _Code.ValueType  # 6
    UNIMPLEMENTED: _Code.ValueType  # 7
    """Functionality not implemented yet"""
    PERMISSION_DENIED: _Code.ValueType  # 8
    """Client doesn't have the permission."""
    COMPILATION_FAILURE: _Code.ValueType  # 9
    """Compile graph frame or app frame failed."""
    PORT_IN_USE: _Code.ValueType  # 10
    UNSUPPORTED_OPERATION: _Code.ValueType  # 11
    ILLEGAL_STATE: _Code.ValueType  # 12
    NETWORK_FAILURE: _Code.ValueType  # 13
    """Network is unreachable"""
    CONNECTION_ERROR: _Code.ValueType  # 100
    """Connection error with client.
    e.g. multiple client connect to coordinator at the same time or
    failed to launch engine locally.
    """
    VINEYARD_ERROR: _Code.ValueType  # 101
    """Error raised by vineyard."""
    UDF_INTERNAL_ERROR: _Code.ValueType  # 102
    """Error raised when running UDF application"""
    K8S_ERROR: _Code.ValueType  # 103
    """Error reported  by the k8s cluster"""
    GREMLIN_QUERY_ERROR: _Code.ValueType  # 104
    """Error raised when executing gremlin query"""
    RETRIES_EXCEEDED_ERROR: _Code.ValueType  # 105
    """Retry time exceed the defined maximum threshold"""
    ANALYTICAL_ENGINE_INTERNAL_ERROR: _Code.ValueType  # 106
    """Errors raised by analytical engine"""
    INTERACTIVE_ENGINE_INTERNAL_ERROR: _Code.ValueType  # 107
    """Errors raised by interactive engine"""
    LEARNING_ENGINE_INTERNAL_ERROR: _Code.ValueType  # 108
    """Errors raised by learning engine"""
    COORDINATOR_INTERNAL_ERROR: _Code.ValueType  # 109
    """Errors raised by coordinator"""
    WORKER_RESULTS_INCONSISTENT_ERROR: _Code.ValueType  # 110
    """Errors raised by analytical engine
    Results of workers not consistent
    """
    UNKNOWN_ERROR: _Code.ValueType  # 111
    """Unknown error."""
    FATAL_ERROR: _Code.ValueType  # 112
    """Fatal error.
    Means the service is not recoverable.
    e.g. engine socket closed in grpc connection. Usually means engine has crashed.
    """

class Code(_Code, metaclass=_CodeEnumTypeWrapper):
    """component-01: Coordinator"""

OK: Code.ValueType  # 0
"""Not an error; returned on success."""
CANCELLED: Code.ValueType  # 1
INVALID_ARGUMENT: Code.ValueType  # 2
"""Arguments of operations is invalid / in a wrong format."""
TIMEOUT: Code.ValueType  # 3
"""Timeout, used when an operation fail to return result in an specific time."""
NOT_FOUND: Code.ValueType  # 4
"""Required resources cannot be found."""
ALREADY_EXISTS: Code.ValueType  # 5
"""File or resources already existed."""
RESOURCE_EXHAUSTED: Code.ValueType  # 6
UNIMPLEMENTED: Code.ValueType  # 7
"""Functionality not implemented yet"""
PERMISSION_DENIED: Code.ValueType  # 8
"""Client doesn't have the permission."""
COMPILATION_FAILURE: Code.ValueType  # 9
"""Compile graph frame or app frame failed."""
PORT_IN_USE: Code.ValueType  # 10
UNSUPPORTED_OPERATION: Code.ValueType  # 11
ILLEGAL_STATE: Code.ValueType  # 12
NETWORK_FAILURE: Code.ValueType  # 13
"""Network is unreachable"""
CONNECTION_ERROR: Code.ValueType  # 100
"""Connection error with client.
e.g. multiple client connect to coordinator at the same time or
failed to launch engine locally.
"""
VINEYARD_ERROR: Code.ValueType  # 101
"""Error raised by vineyard."""
UDF_INTERNAL_ERROR: Code.ValueType  # 102
"""Error raised when running UDF application"""
K8S_ERROR: Code.ValueType  # 103
"""Error reported  by the k8s cluster"""
GREMLIN_QUERY_ERROR: Code.ValueType  # 104
"""Error raised when executing gremlin query"""
RETRIES_EXCEEDED_ERROR: Code.ValueType  # 105
"""Retry time exceed the defined maximum threshold"""
ANALYTICAL_ENGINE_INTERNAL_ERROR: Code.ValueType  # 106
"""Errors raised by analytical engine"""
INTERACTIVE_ENGINE_INTERNAL_ERROR: Code.ValueType  # 107
"""Errors raised by interactive engine"""
LEARNING_ENGINE_INTERNAL_ERROR: Code.ValueType  # 108
"""Errors raised by learning engine"""
COORDINATOR_INTERNAL_ERROR: Code.ValueType  # 109
"""Errors raised by coordinator"""
WORKER_RESULTS_INCONSISTENT_ERROR: Code.ValueType  # 110
"""Errors raised by analytical engine
Results of workers not consistent
"""
UNKNOWN_ERROR: Code.ValueType  # 111
"""Unknown error."""
FATAL_ERROR: Code.ValueType  # 112
"""Fatal error.
Means the service is not recoverable.
e.g. engine socket closed in grpc connection. Usually means engine has crashed.
"""
global___Code = Code
