"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
*

The file proto/attr_value.proto is referred and derived from project
tensorflow,

   https://github.com/tensorflow/tensorflow/blob/master/tensorflow/core/framework/attr_value.proto

which has the following license:


Copyright 2015 The TensorFlow Authors. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
==============================================================================
"""

import builtins
import google.protobuf.descriptor
import google.protobuf.internal.enum_type_wrapper
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class _Code:
    ValueType = typing.NewType("ValueType", builtins.int)
    V: typing_extensions.TypeAlias = ValueType

class _CodeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_Code.ValueType], builtins.type):
    DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
    OK: _Code.ValueType  # 0
    """Not an error; returned on success."""
    CANCELLED: _Code.ValueType  # 1
    INVALID_ARGUMENT: _Code.ValueType  # 2
    """Arguments of operations is invalid / in a wrong format."""
    TIMEOUT: _Code.ValueType  # 3
    """Timeout, used when an operation fail to return result in an specific time."""
    NOT_FOUND: _Code.ValueType  # 4
    """Required resources cannot be found."""
    ALREADY_EXISTS: _Code.ValueType  # 5
    """File or resources already existed."""
    RESOURCE_EXHAUSTED: _Code.ValueType  # 6
    UNIMPLEMENTED: _Code.ValueType  # 7
    """Functionality not implemented yet"""
    PERMISSION_DENIED: _Code.ValueType  # 8
    """Client doesn't have the permission."""
    COMPILATION_FAILURE: _Code.ValueType  # 9
    """Compile graph frame or app frame failed."""
    PORT_IN_USE: _Code.ValueType  # 10
    UNSUPPORTED_OPERATION: _Code.ValueType  # 11
    ILLEGAL_STATE: _Code.ValueType  # 12
    NETWORK_FAILURE: _Code.ValueType  # 13
    """Network is unreachable"""
    GREMLIN_INVALID_SYNTAX: _Code.ValueType  # 100
    """invalid gremlin syntax thrown by antlr4
    GremlinSyntaxParseError = 100;
    """
    CYPHER_INVALID_SYNTAX: _Code.ValueType  # 101
    """invalid cypher syntax thrown by antlr4
    CypherSyntaxParseError = 101;
    """
    LABEL_NOT_FOUND: _Code.ValueType  # 102
    """query given label is not found in schema
    LabelNotFoundError = 102;
    """
    PROPERTY_NOT_FOUND: _Code.ValueType  # 103
    """query given property name is not found in schema
    PropertyNotFoundError = 103;
    """
    TAG_NOT_FOUND: _Code.ValueType  # 104
    """tag not exist in current query contex
    TagNotFoundError = 104;
    """
    TYPE_INFERENCE_FAILED: _Code.ValueType  # 105
    """targets two types of errors:
    1. invalid algebraic type, such as "cannot apply + to string arguments"
    2. invalid graph patterns based on the given schema
    TypeInferenceError = 105;
    """
    LOGICAL_PLAN_BUILD_FAILED: _Code.ValueType  # 106
    """error thrown in logical plan optimization
    LogicalPlanBuildError = 106;
    """
    PHYSICAL_PLAN_BUILD_FAILED: _Code.ValueType  # 107
    """error thrown in physical plan build
    PhysicalPlanBuildError = 107;
    """
    GREMLIN_INVALID_RESULT: _Code.ValueType  # 108
    """error thrown when parsing gremlin results
    GremlinResultParseError = 108;
    """
    CYPHER_INVALID_RESULT: _Code.ValueType  # 109
    """error thrown then parsing cypher results
    CypherResultParseError = 109;
    """
    ENGINE_UNAVAILABLE: _Code.ValueType  # 110
    """engine is not available to process the query, e.g. engine is down
    EngineUnavailableError = 110;
    """
    QUERY_EXECUTION_TIMEOUT: _Code.ValueType  # 111
    """query execution time exceeds the limit
    QueryExecutionTimeoutError = 111;
    """

class Code(_Code, metaclass=_CodeEnumTypeWrapper):
    """component-03: GIE Frontend"""

OK: Code.ValueType  # 0
"""Not an error; returned on success."""
CANCELLED: Code.ValueType  # 1
INVALID_ARGUMENT: Code.ValueType  # 2
"""Arguments of operations is invalid / in a wrong format."""
TIMEOUT: Code.ValueType  # 3
"""Timeout, used when an operation fail to return result in an specific time."""
NOT_FOUND: Code.ValueType  # 4
"""Required resources cannot be found."""
ALREADY_EXISTS: Code.ValueType  # 5
"""File or resources already existed."""
RESOURCE_EXHAUSTED: Code.ValueType  # 6
UNIMPLEMENTED: Code.ValueType  # 7
"""Functionality not implemented yet"""
PERMISSION_DENIED: Code.ValueType  # 8
"""Client doesn't have the permission."""
COMPILATION_FAILURE: Code.ValueType  # 9
"""Compile graph frame or app frame failed."""
PORT_IN_USE: Code.ValueType  # 10
UNSUPPORTED_OPERATION: Code.ValueType  # 11
ILLEGAL_STATE: Code.ValueType  # 12
NETWORK_FAILURE: Code.ValueType  # 13
"""Network is unreachable"""
GREMLIN_INVALID_SYNTAX: Code.ValueType  # 100
"""invalid gremlin syntax thrown by antlr4
GremlinSyntaxParseError = 100;
"""
CYPHER_INVALID_SYNTAX: Code.ValueType  # 101
"""invalid cypher syntax thrown by antlr4
CypherSyntaxParseError = 101;
"""
LABEL_NOT_FOUND: Code.ValueType  # 102
"""query given label is not found in schema
LabelNotFoundError = 102;
"""
PROPERTY_NOT_FOUND: Code.ValueType  # 103
"""query given property name is not found in schema
PropertyNotFoundError = 103;
"""
TAG_NOT_FOUND: Code.ValueType  # 104
"""tag not exist in current query contex
TagNotFoundError = 104;
"""
TYPE_INFERENCE_FAILED: Code.ValueType  # 105
"""targets two types of errors:
1. invalid algebraic type, such as "cannot apply + to string arguments"
2. invalid graph patterns based on the given schema
TypeInferenceError = 105;
"""
LOGICAL_PLAN_BUILD_FAILED: Code.ValueType  # 106
"""error thrown in logical plan optimization
LogicalPlanBuildError = 106;
"""
PHYSICAL_PLAN_BUILD_FAILED: Code.ValueType  # 107
"""error thrown in physical plan build
PhysicalPlanBuildError = 107;
"""
GREMLIN_INVALID_RESULT: Code.ValueType  # 108
"""error thrown when parsing gremlin results
GremlinResultParseError = 108;
"""
CYPHER_INVALID_RESULT: Code.ValueType  # 109
"""error thrown then parsing cypher results
CypherResultParseError = 109;
"""
ENGINE_UNAVAILABLE: Code.ValueType  # 110
"""engine is not available to process the query, e.g. engine is down
EngineUnavailableError = 110;
"""
QUERY_EXECUTION_TIMEOUT: Code.ValueType  # 111
"""query execution time exceeds the limit
QueryExecutionTimeoutError = 111;
"""
global___Code = Code
