"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
*

The file proto/attr_value.proto is referred and derived from project
tensorflow,

   https://github.com/tensorflow/tensorflow/blob/master/tensorflow/core/framework/attr_value.proto

which has the following license:


Copyright 2015 The TensorFlow Authors. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
==============================================================================
"""

import builtins
import google.protobuf.descriptor
import google.protobuf.internal.enum_type_wrapper
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class _Code:
    ValueType = typing.NewType("ValueType", builtins.int)
    V: typing_extensions.TypeAlias = ValueType

class _CodeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_Code.ValueType], builtins.type):
    DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
    OK: _Code.ValueType  # 0
    """Not an error; returned on success."""
    CANCELLED: _Code.ValueType  # 1
    INVALID_ARGUMENT: _Code.ValueType  # 2
    """Arguments of operations is invalid / in a wrong format."""
    TIMEOUT: _Code.ValueType  # 3
    """Timeout, used when an operation fail to return result in an specific time."""
    NOT_FOUND: _Code.ValueType  # 4
    """Required resources cannot be found."""
    ALREADY_EXISTS: _Code.ValueType  # 5
    """File or resources already existed."""
    RESOURCE_EXHAUSTED: _Code.ValueType  # 6
    UNIMPLEMENTED: _Code.ValueType  # 7
    """Functionality not implemented yet"""
    PERMISSION_DENIED: _Code.ValueType  # 8
    """Client doesn't have the permission."""
    COMPILATION_FAILURE: _Code.ValueType  # 9
    """Compile graph frame or app frame failed."""
    PORT_IN_USE: _Code.ValueType  # 10
    UNSUPPORTED_OPERATION: _Code.ValueType  # 11
    ILLEGAL_STATE: _Code.ValueType  # 12
    NETWORK_FAILURE: _Code.ValueType  # 13
    """Network is unreachable"""
    VALUE_TYPE_MISMATCH: _Code.ValueType  # 100
    """try to get a property in ValueType1, but the it's real type is ValueType2 and it's not ValueType1 and
    compatible to ValueType1
    ValueTypeMismatch = 100;
    """
    LOCK_FAILED: _Code.ValueType  # 101
    """get lock failed
    LockFailed = 101;
    """
    TOO_MANY_VERSIONS: _Code.ValueType  # 102
    """too many data of old versions in graph store, maybe something error with garbage collection
    usuage trigger when modifing the schema
    TooManyVersions = 102;
    """
    BACKUP_FAILED: _Code.ValueType  # 103
    """some fatal bug in graph store
    GraphStoreBug = 103;
    """
    INVALID_OPERATION: _Code.ValueType  # 104
    """user's operation is invalid, like: create a type that already exists
    InvalidOperation = 104;
    """
    DATA_NOT_EXISTS: _Code.ValueType  # 105
    """when try to insert data, the type exists in storage but isn't visible at that moment
    DataNotExists = 105;
    """
    EXTERNAL_STORAGE_ERROR: _Code.ValueType  # 106
    """error in external storage like rocksdb
    ExternalStorageError = 106;
    """
    INVALID_DATA: _Code.ValueType  # 107
    """decode property from bytes failed, maybe caused by corrupted binary data in storage,
    or by using the wrong decoder, 
    DecodeError = 107;
    operations or features is not supported, e.g. delete from a secondary instance
    NotSupported = 108;
    """
    TYPE_NOT_FOUND: _Code.ValueType  # 108
    """PropertyAlreadyExist = 109;"""
    PROPERTY_NOT_FOUND: _Code.ValueType  # 109
    """TypeAlreadyExist = 111;
    RelationShipAlreadyExist = 113;
    RelationShipNotExist = 114;
    """
    REALTIME_WRITE_FAILED: _Code.ValueType  # 110
    """client-frontend related
    RealtimeWriteFailed = 110;
    """
    SERVICE_NOT_READY: _Code.ValueType  # 111
    """ServiceNotReady = 111;"""
    QUEUE_REJECT: _Code.ValueType  # 112
    """QueueReject = 112;"""
    QUERY_FAILED: _Code.ValueType  # 113
    """query related
    QueryFailed = 113;
    QueryCancelled = 114;
    QUERY_CANCELLED = 114;
    """
    ILLEGAL_SCHEMA: _Code.ValueType  # 115
    """IllegalSchema = 115;"""
    INVALID_DATA_TYPE: _Code.ValueType  # 116
    """e.g. delete property
    UnSupportedMetaOperation = 115;
    e.g. list, map, set
    DataTypeNotValid = 109;
    """
    INTERNAL: _Code.ValueType  # 117
    GAIA_INTERNAL_ERROR: _Code.ValueType  # 118
    DDL_ERROR: _Code.ValueType  # 119

class Code(_Code, metaclass=_CodeEnumTypeWrapper):
    """component-04: GIE Insight Server (vineyard + groot)"""

OK: Code.ValueType  # 0
"""Not an error; returned on success."""
CANCELLED: Code.ValueType  # 1
INVALID_ARGUMENT: Code.ValueType  # 2
"""Arguments of operations is invalid / in a wrong format."""
TIMEOUT: Code.ValueType  # 3
"""Timeout, used when an operation fail to return result in an specific time."""
NOT_FOUND: Code.ValueType  # 4
"""Required resources cannot be found."""
ALREADY_EXISTS: Code.ValueType  # 5
"""File or resources already existed."""
RESOURCE_EXHAUSTED: Code.ValueType  # 6
UNIMPLEMENTED: Code.ValueType  # 7
"""Functionality not implemented yet"""
PERMISSION_DENIED: Code.ValueType  # 8
"""Client doesn't have the permission."""
COMPILATION_FAILURE: Code.ValueType  # 9
"""Compile graph frame or app frame failed."""
PORT_IN_USE: Code.ValueType  # 10
UNSUPPORTED_OPERATION: Code.ValueType  # 11
ILLEGAL_STATE: Code.ValueType  # 12
NETWORK_FAILURE: Code.ValueType  # 13
"""Network is unreachable"""
VALUE_TYPE_MISMATCH: Code.ValueType  # 100
"""try to get a property in ValueType1, but the it's real type is ValueType2 and it's not ValueType1 and
compatible to ValueType1
ValueTypeMismatch = 100;
"""
LOCK_FAILED: Code.ValueType  # 101
"""get lock failed
LockFailed = 101;
"""
TOO_MANY_VERSIONS: Code.ValueType  # 102
"""too many data of old versions in graph store, maybe something error with garbage collection
usuage trigger when modifing the schema
TooManyVersions = 102;
"""
BACKUP_FAILED: Code.ValueType  # 103
"""some fatal bug in graph store
GraphStoreBug = 103;
"""
INVALID_OPERATION: Code.ValueType  # 104
"""user's operation is invalid, like: create a type that already exists
InvalidOperation = 104;
"""
DATA_NOT_EXISTS: Code.ValueType  # 105
"""when try to insert data, the type exists in storage but isn't visible at that moment
DataNotExists = 105;
"""
EXTERNAL_STORAGE_ERROR: Code.ValueType  # 106
"""error in external storage like rocksdb
ExternalStorageError = 106;
"""
INVALID_DATA: Code.ValueType  # 107
"""decode property from bytes failed, maybe caused by corrupted binary data in storage,
or by using the wrong decoder, 
DecodeError = 107;
operations or features is not supported, e.g. delete from a secondary instance
NotSupported = 108;
"""
TYPE_NOT_FOUND: Code.ValueType  # 108
"""PropertyAlreadyExist = 109;"""
PROPERTY_NOT_FOUND: Code.ValueType  # 109
"""TypeAlreadyExist = 111;
RelationShipAlreadyExist = 113;
RelationShipNotExist = 114;
"""
REALTIME_WRITE_FAILED: Code.ValueType  # 110
"""client-frontend related
RealtimeWriteFailed = 110;
"""
SERVICE_NOT_READY: Code.ValueType  # 111
"""ServiceNotReady = 111;"""
QUEUE_REJECT: Code.ValueType  # 112
"""QueueReject = 112;"""
QUERY_FAILED: Code.ValueType  # 113
"""query related
QueryFailed = 113;
QueryCancelled = 114;
QUERY_CANCELLED = 114;
"""
ILLEGAL_SCHEMA: Code.ValueType  # 115
"""IllegalSchema = 115;"""
INVALID_DATA_TYPE: Code.ValueType  # 116
"""e.g. delete property
UnSupportedMetaOperation = 115;
e.g. list, map, set
DataTypeNotValid = 109;
"""
INTERNAL: Code.ValueType  # 117
GAIA_INTERNAL_ERROR: Code.ValueType  # 118
DDL_ERROR: Code.ValueType  # 119
global___Code = Code
